<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: 1.02.upgrade.inc
| Author: Core Development Team
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
$inf_version = '1.02';
const DB_WELCOME_PM = DB_PREFIX.'welcome_pm';

$wpsettings = dbarray(dbquery("SELECT * FROM ".DB_WELCOME_PM.(multilang_table("WPM") ? " WHERE ".in_group('wp_language', LANGUAGE) : '')));

$check_array = [
    'wp_active' => $wpsettings['wp_active'],
    'wp_sbox'   => $wpsettings['wp_sbox']
];

foreach ($check_array as $name => $val) {
    if (!dbcount("(settings_name)", DB_SETTINGS_INF, "settings_name=:col_name", [':col_name' => $name])) {
        $inf_insertdbrow[] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES ('" . $name . "', '" . $val . "', 'welcome_pm_panel')";
    }
}

$inf_deldbrow[] = DB_LANGUAGE_TABLES." WHERE mlt_rights = 'WPM'";

if ( db_exists( DB_WELCOME_PM ) ) {
    dbquery("DROP TABLE ".DB_WELCOME_PM."");
}
